// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/CheckCode": {
            "post": {
                "description": "设备上传数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "二维码门禁"
                ],
                "summary": "设备上传数据",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateCheckCodeBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateCheckCodeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/IsConnect": {
            "post": {
                "description": "心跳",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "二维码门禁"
                ],
                "summary": "心跳",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateIsConnectBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateIsConnectResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/QueryCmd": {
            "post": {
                "description": "轮询是否有命令",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "二维码门禁"
                ],
                "summary": "轮询是否有命令",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateQueryCmdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateQueryCmdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/QueryCmdPostData": {
            "post": {
                "description": "命令执行结果",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "二维码门禁"
                ],
                "summary": "命令执行结果",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateQueryCmdPostDataBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CodeGateQueryCmdPostDataResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.CodeGateCheckCodeBody": {
            "type": "object",
            "properties": {
                "BrushTime": {
                    "type": "string"
                },
                "CodeType": {
                    "type": "string"
                },
                "CodeVal": {
                    "type": "string"
                },
                "IsOnline": {
                    "type": "string"
                },
                "Property": {
                    "type": "string"
                },
                "SN": {
                    "type": "string"
                },
                "UID": {
                    "type": "string"
                },
                "UKey": {
                    "type": "string"
                },
                "ViewId": {
                    "type": "string"
                }
            }
        },
        "v1.CodeGateCheckCodeResponse": {
            "type": "object",
            "properties": {
                "Status": {
                    "type": "integer"
                },
                "UID": {
                    "type": "string"
                }
            }
        },
        "v1.CodeGateIsConnectBody": {
            "type": "object",
            "properties": {
                "SN": {
                    "type": "string"
                },
                "UID": {
                    "type": "string"
                },
                "UKey": {
                    "type": "string"
                },
                "ViewId": {
                    "type": "string"
                }
            }
        },
        "v1.CodeGateIsConnectResponse": {
            "type": "object",
            "properties": {
                "DateTime": {
                    "type": "string"
                }
            }
        },
        "v1.CodeGateQueryCmdBody": {
            "type": "object",
            "properties": {
                "DoorMagnetic": {
                    "type": "string"
                },
                "SN": {
                    "type": "string"
                },
                "TamperAlarm": {
                    "type": "string"
                },
                "UID": {
                    "type": "string"
                },
                "UKey": {
                    "type": "string"
                },
                "ViewId": {
                    "type": "string"
                }
            }
        },
        "v1.CodeGateQueryCmdPostDataBody": {
            "type": "object",
            "properties": {
                "CmdCode": {
                    "type": "integer"
                },
                "CmdID": {
                    "type": "string"
                },
                "CmdParams": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "array",
                        "items": {
                            "type": "object",
                            "additionalProperties": {
                                "type": "string"
                            }
                        }
                    }
                },
                "CmdStatus": {
                    "type": "integer"
                },
                "SN": {
                    "type": "string"
                },
                "UID": {
                    "type": "string"
                },
                "UKey": {
                    "type": "string"
                },
                "ViewId": {
                    "type": "string"
                }
            }
        },
        "v1.CodeGateQueryCmdPostDataResponse": {
            "type": "object",
            "properties": {
                "CmdStatus": {
                    "type": "integer"
                },
                "CmdStatusDesc": {
                    "type": "integer"
                }
            }
        },
        "v1.CodeGateQueryCmdResponse": {
            "type": "object",
            "properties": {
                "CmdCode": {
                    "type": "integer"
                },
                "CmdID": {
                    "type": "string"
                },
                "CmdParams": {
                    "description": "CmdParams string ` + "`" + `json:\"CmdParams\"` + "`" + `",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project property-device-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
