package v1

type YuFanHeartBeatResponse struct {
	Result bool `json:"result"`
}
type CallbackResponse struct {
	Result  int32 `json:"result"`
	Success bool  `json:"success"`
}

type QcodeCallbackResponse struct {
	TttsModeContent   string `json:"ttsModContent"`
	DisplayModContent string `json:"displayModContent"`
	IsOpenRelay       int    `json:"isOpenRelay"`
}

const (
	PersonRegersterTaskName    = "person/create"
	PersonUpdateTaskName       = "person/update"
	PersonDelTaskName          = "person/delete"
	PhotoRegisterByUrlTaskName = "face/createByUrl"
	TakePhotoRegisterTaskName  = "face/takeImg"
	PhotoDelTaskName           = "face/delete"
	DeviceRebootTaskName       = "restartDevice"
	DeviceOpenTaskName         = "device/openDoorControl"
)

type PersonRegesterTask struct {
	TaskNo        string             `json:"taskNo"`
	InterfaceName string             `json:"interfaceName"`
	Result        bool               `json:"result"`
	Person        PersonRegesterData `json:"person"`
}

type PersonRegesterData struct {
	Id                    string `json:"id"`
	Name                  string `json:"name"`
	IdCardNum             string `json:"idcardNum"`
	IdNumber              string `json:"iDNumber"`
	FacePermission        string `json:"facePermission"`
	IdCardPermission      string `json:"idCardPermission"`
	FaceAndCardPermission string `json:"faceAndCardPermission"`
	IDPermission          string `json:"iDPermission"`
	Tag                   string `json:"tag"`
	Phone                 string `json:"phone"`
}

type PersonUpdateTask struct {
	TaskNo        string           `json:"taskNo"`
	InterfaceName string           `json:"interfaceName"`
	Result        bool             `json:"result"`
	Person        PersonUpdateData `json:"person"`
}

type PersonUpdateData struct {
	Id                    string `json:"id"`
	Name                  string `json:"name"`
	IdCardNum             string `json:"idcardNum"`
	IdNumber              string `json:"iDNumber"`
	FacePermission        string `json:"facePermission"`
	IdCardPermission      string `json:"idCardPermission"`
	FaceAndCardPermission string `json:"faceAndCardPermission"`
	IDPermission          string `json:"iDPermission"`
	Tag                   string `json:"tag"`
	Phone                 string `json:"phone"`
}

type PersonDelTask struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
	Id            string `json:"id"`
}

type PhoneRegisterTask struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
	PhotoRegisterData
}

type PhotoRegisterData struct {
	PersonId string `json:"personId"`
	FaceId   string `json:"faceId"`
	ImgUrl   string `json:"imgUrl"`
}

type PhoneUpdateTask struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
	PhotoUpdateData
}

type PhotoUpdateData struct {
	PersonId string `json:"personId"`
	FaceId   string `json:"faceId"`
	Url      string `json:"url"`
}

type PhoneDelTask struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
	FaceId        string `json:"faceId"`
}

type TaskPhotoRegister struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
	PersonId      string `json:"personId"`
}

type DeviceRebootTask struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
}

type DeviceOpenTask struct {
	TaskNo        string `json:"taskNo"`
	InterfaceName string `json:"interfaceName"`
	Result        bool   `json:"result"`
	// 1：开门 2：串口 3：韦根 4：表示自定义文字弹
	OType int32 `json:"type"`
}
